> For the complete documentation index, see [llms.txt](https://docs.hg.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hg.network/product-chan-pin-bang-zhu/xiang-mu-fan-li/uniswapinfo-fan-li.md).

# Uniswap-info 范例

在部署好subgraph，同步好数据之后，就需要修改前端代码来支持。

修改的地方有几处：

1、src/constants/index.js&#x20;

`export const FACTORY_ADDRESS = '0xb0f0a809b898b91db7d862819dbff83d3539bf82'`

2、src/apollo/client.js

子图查询代码：

`export const client = new ApolloClient({ link: new HttpLink({ uri: 'https://q.hg.network/subgraphs/name/rrex/heco', }), cache: new InMemoryCache(), shouldBatch: true, })`

健康检查：

`export const healthClient = new ApolloClient({ link: new HttpLink({ uri: 'https://h.hg.network/graphql', }), cache: new InMemoryCache(), shouldBatch: true, })`

区块信息：

`export const blockClient = new ApolloClient({ link: new HttpLink({ uri: 'https://q.hg.network/subgraphs/name/kdex-heco-blocks', }), cache: new InMemoryCache(), })`

Info 代码示例地址：

{% embed url="<https://github.com/HGDotNetwork/Uniswap-info>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hg.network/product-chan-pin-bang-zhu/xiang-mu-fan-li/uniswapinfo-fan-li.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
